: Class myComboPopup.myComboUI

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.emboss.jemboss.gui.form
Class myComboPopup.myComboUI

    java.lang.Object
      |
      +--javax.swing.plaf.ComponentUI
            |
            +--javax.swing.plaf.ComboBoxUI
                  |
                  +--javax.swing.plaf.basic.BasicComboBoxUI
                        |
                        +--org.emboss.jemboss.gui.form.myComboPopup.myComboUI

Enclosing class:
  myComboPopup

public class myComboPopup.myComboUI
extends javax.swing.plaf.basic.BasicComboBoxUI

Create scroller

Inner classes inherited from class javax.swing.plaf.basic.BasicComboBoxUI
`javax.swing.plaf.basic.BasicComboBoxUI.AltAction, javax.swing.plaf.basic.BasicComboBoxUI.ComboBoxLayoutManager, javax.swing.plaf.basic.BasicComboBoxUI.DownAction, javax.swing.plaf.basic.BasicComboBoxUI.EditorFocusListener, javax.swing.plaf.basic.BasicComboBoxUI.FocusHandler, javax.swing.plaf.basic.BasicComboBoxUI.HidePopupAction, javax.swing.plaf.basic.BasicComboBoxUI.ItemHandler, javax.swing.plaf.basic.BasicComboBoxUI.KeyHandler, javax.swing.plaf.basic.BasicComboBoxUI.KeyToListDispatcher, javax.swing.plaf.basic.BasicComboBoxUI.ListDataHandler, javax.swing.plaf.basic.BasicComboBoxUI.PropertyChangeHandler, javax.swing.plaf.basic.BasicComboBoxUI.UpAction`

Fields inherited from class javax.swing.plaf.basic.BasicComboBoxUI
`arrowButton, cachedDisplaySize, cachedMinimumSize, comboBox, currentValuePane, editor, editorFocusListener, focusListener, hasFocus, isMinimumSizeDirty, itemListener, keyListener, listBox, listDataListener, popup, popupKeyListener, popupMouseListener, popupMouseMotionListener, propertyChangeListener, textRenderer`

Constructor Summary
`myComboPopup.myComboUI()`

Method Summary
`protected javax.swing.plaf.basic.ComboPopup` | `createPopup()`

Methods inherited from class javax.swing.plaf.basic.BasicComboBoxUI
`, addEditor, configureArrowButton, configureEditor, createActionMap, createArrowButton, createEditor, createFocusListener, createItemListener, createKeyListener, createLayoutManager, createListDataListener, createPropertyChangeListener, createRenderer, createUI, getAccessibleChild, getAccessibleChildrenCount, getActionMap, getDefaultSize, getDisplaySize, getInputMap, getInsets, getMaximumSize, getMinimumSize, getPreferredSize, installComponents, installDefaults, installKeyboardActions, installListeners, installUI, isFocusTraversable, isNavigationKey, isPopupVisible, paint, paintCurrentValue, paintCurrentValueBackground, rectangleForCurrentValue, removeEditor, repaintCurrentValue, selectNextPossibleValue, selectPreviousPossibleValue, setPopupVisible, toggleOpenClose, unconfigureArrowButton, unconfigureEditor, uninstallComponents, uninstallDefaults, uninstallKeyboardActions, uninstallListeners, uninstallUI, updateToolTipTextForChildren`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### myComboPopup.myComboUI

    public myComboPopup.myComboUI()

Method Detail

### createPopup

    protected javax.swing.plaf.basic.ComboPopup createPopup()

  Overrides:
    `createPopup` in class `javax.swing.plaf.basic.BasicComboBoxUI`

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD